Subject: Re: Error Condition Re: Re: $ sign in path not recognized

From: Don Cohen <[email-masked]>
Date: Tue, 01 Sep 98 10:41:21 PDT

>Yes, clisp assumes that DOS filenames contain only alphanumeric characters,
  >dashes and underscores. That may be a little over-restrictive, but it helps
  >discovering typos.
Yes, and also prevents you from doing certain things that you might
actually want to or even need to.

  >On other systems $ introduces an environment variable, just like % on DOS.
  >What would you expect clisp to do if you try to create a file whose name
  >is "%PATH%" ? Expand the environment variable or not?

I think we have to distinguish between what the file system allows and
how various interpreters (e.g., command) use special characters.
Clisp should deal with the file system only.  It should not try to
imitate the parsing of various other programs.

I don't know exactly what the dos file system allows.
I believe that in unix a file name can contain any character other
than / (forward slash).  

I don't think clisp should address this issue at all.  If the file
system functions give you an error when you try to create a file with
a strange name then clisp should give you an error, and otherwise it
should do whatever the system does.